# $Id: updee.spec 680 2006-12-27 20:29:31Z rpmbuild $

%define UPDEEUSER %([ $UPDEEUSER ] && echo $UPDEEUSER || echo "updee" )

Summary: Updee is an uptime daemon
Name: updee
Version: 2.1
Release: %RErelease 6
Epoch: 0
License: GPL
Group: System Environment/Daemons
URL: http://iretd.ath.cx/iretd
Source0: %{name}-%{version}.tar.gz
Source1: %{name}.init.redhat
Source2: %{name}.init.aix
Source3: %{name}.sysconfig
Source4: %{name}.template-bb
Source5: %{name}.template-hobbit
Source6: AIX.gif
Patch0: %{name}-%{version}.PATHs.redhat.patch
Patch1: %{name}-%{version}.PATHs.aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: rpm-macros-razorsedge
Requires: perl
BuildArch: noarch

%description 
Updee is an uptime daemon designed to run on as many UNIX systems as
possible. It can use Linux /proc/uptime, FreeBSD sysctl kern.boottime or
fall over to generic `uptime` output to get the current uptime. Updee monitors
the best 3 uptimes through HTML produced every X minute from a template.
Updee is based on ud by Matthew Trent, and currently supports out of the
box: Linux, FreeBSD, NetBSD, OpenBSD, SCO OpenServer, UnixWare, OSF/1,
SunOS, and AIX.

%prep 
%setup -q -n %{name}
%if "%_vendor" == "redhat"
%patch0 -p 1 -b .redhat
%endif
%if "%_os" == "aix"
%patch1 -p 1 -b .aix
%endif
%{__install} -m 0644 %{SOURCE4} ${RPM_BUILD_DIR}/%{name}/
%{__install} -m 0644 %{SOURCE5} ${RPM_BUILD_DIR}/%{name}/
%{__install} -m 0644 %{SOURCE6} ${RPM_BUILD_DIR}/%{name}/logos/

%build 
%{__make}

%install 
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=${RPM_BUILD_ROOT} install
%if "%_vendor" == "redhat"
%{__install} -m 0755 -D %{SOURCE1} ${RPM_BUILD_ROOT}%{_initrddir}/%{name}
%{__install} -m 0644 -D %{SOURCE3} ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/%{name}
%endif
%if "%_os" == "aix"
%{__install} -m 0755 -D %{SOURCE2} ${RPM_BUILD_ROOT}%{_initrddir}/%{name}
%{__install} -m 0644 -D %{SOURCE3} ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/%{name}
%endif
touch ${RPM_BUILD_ROOT}%{_localstatedir}/www/html/updee/updee.html

%clean 
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

%pre
%if "%_os" == "linux"
getent passwd %UPDEEUSER >/dev/null 2>&1
%endif
%if "%_os" == "aix"
lsuser %UPDEEUSER >/dev/null 2>&1
%endif
if [ $? -ne 0 ]
then
%if "%_os" == "linux"
  groupadd -g 106 %UPDEEUSER || true
%if "%_vendor" == "redhat"
  useradd -u 106 -g %UPDEEUSER -c "Updee Daemon" -d %{_localstatedir}/lib/%{name} -M -s /sbin/nologin %UPDEEUSER
%endif
%endif
%if "%_os" == "aix"
  mkgroup id=106 %UPDEEUSER || true
  mkuser id=106 pgrp=%UPDEEUSER gecos="Updee Daemon" home=%{_localstatedir}/lib/%{name} admin=false login=false rlogin=false shell=/bin/false %UPDEEUSER
%endif
fi
# Only if we are upgrading...
if [ "$1" -ge "1" ]; then
  if [ -f %{_localstatedir}/lib/%{name}/updee.record ]; then
    chown updee:updee %{_localstatedir}/lib/%{name}/updee.record
  fi
  if [ -f %{_localstatedir}/www/html/updee/updee.html ]; then
    chown updee:updee %{_localstatedir}/www/html/updee/updee.html
  fi
fi

%post
%if "%_vendor" == "redhat"
chkconfig --add updee
%endif
%if "%_os" == "aix"
%{_sbindir}/chkconfig --add updee
%endif

%preun
# Only if we are not upgrading...
if [ "$1" = 0 ]; then
%if "%_vendor" == "redhat"
  service updee stop > /dev/null 2>&1 || :
  chkconfig --del updee
%endif
%if "%_os" == "aix"
  %{_initrddir}/updee stop > /dev/null 2>&1 || :
  %{_sbindir}/chkconfig --del updee
%endif
fi

%postun
# Only if we are upgrading...
if [ "$1" -ge "1" ]; then
%if "%_vendor" == "redhat"
  service updee condrestart > /dev/null 2>&1
%endif
%if "%_os" == "aix"
  %{_initrddir}/updee condrestart > /dev/null 2>&1
%endif
fi

%files 
%defattr(-,root,root) 
%doc DESCR FAQ INSTALL README updee.template updee.template-bb updee.template-hobbit
%{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_sbindir}/*
%dir %{_localstatedir}/lib/updee
%attr(0644,%UPDEEUSER,%UPDEEUSER) %config(noreplace) %{_localstatedir}/lib/updee/updee.record
%config(noreplace) %{_localstatedir}/lib/updee/updee.template
%dir %{_localstatedir}/www/html/updee
%{_localstatedir}/www/html/updee/index.html
%{_localstatedir}/www/html/updee/logo.gif
%{_localstatedir}/www/html/updee/updee-back.gif
%attr(0644,%UPDEEUSER,%UPDEEUSER) %config(noreplace) %{_localstatedir}/www/html/updee/updee.html
%{_localstatedir}/www/html/updee/digits

%changelog 
* Tue Dec 26 2006 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 2.1-6
- Added AIX support.
- Rolled in improvments made to the Solaris packages: UPDEEUSER and init
  scripts.

* Sun Dec 11 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 2.1-5
- Rebuilt in new build system.

* Wed Mar 17 2004 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 2.1-4
- Fixed %files directives.
- Fixed more initscript weirdness.

* Tue Mar 16 2004 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 2.1-3
- Fixed lack of condrestart in init script.
- Added %config to updee.template

* Tue Mar 16 2004 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 2.1-2
- Second package attempt.

* Mon Mar 15 2004 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 2.1-1
- First package attempt.

